/* --- Global Variables --- */
:root {
  /* --- Colours --- */
  --mainColour: #99092f;
  --darkGrey: #595959;
  --lightGrey: #E8E6E6;
  --normalBlue: #0057E1;

  /* --- Device Measurements --- */
  --maxWidthTvs: 1024px;
  --maxWidthLaptop: 1400px;
  --maxWidthTablet: 768px;
  --maxWidthMobile: 480px;
  --screenSize: 1400px;

  /* --- Font Families --- */
  --titles: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  --paragraphs: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;

}

/* --- Global Settings ---  */
section {
  padding-bottom: 30px;
}

/* div {
  border: 1px solid black;
} */

h1 {
  color: #99092f;
  font-size: 40px;
  font-family: var(--titles);
}

hr {
  /* width: 90%;
    margin: auto;
    border-color: var(--mainColour);
    height: 1px; */

  display: block;
  height: 1px;
  width: 90%;
  border: 0;
  border-top: 1px solid var(--mainColour);
  margin: 1em 5%;
  padding: 0;
}

p {
  color: var(--darkGrey);
  padding: 0px 30px;
  font-size: 14px;
  font-family: var(--paragraphs);
}

button {
  width: 142px;
  height: 40px;
  border-radius: 0px;
  border: 0px;
  font-family: var(--titles);
  font-weight: bold;
  background-color: var(--mainColour);
  color: white;
  font-size: 16px;
}


/* --- General Sets --- */
* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
}

/* ----------------------- */

/* --- Menu --- */
.nav-bar {
  display: flex;
  justify-content: space-around;
  align-items: center;

  padding: 10px;
  height: 143px;
}

.logo {
  display: flex;

}

.menu-div {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  max-width: var(--screenSize);
}

.nav-list {
  list-style: none;
}

.nav-list .list-items {
  display: inline-block;
  margin: auto;

}

.nav-list a {
  text-decoration: none;
  color: var(--darkGrey);
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  padding: 0px 10px;
  font-weight: 500;


}

.nav-bar a:hover {
  color: var(--mainColour);
  /* font-weight: bolder;     */
}


.company-logo {
  height: 100%;

}

/* div {
    border: 1px solid black;
} */


/* Menu hamburguer style */

.menu-hamburguer {
  display: none;
  margin-left: 10px;
  z-index: 2;
}

.menu-line {
  width: 20px;
  height: 3px;
  background-color: var(--mainColour);
  margin-top: 4px;
}

.menu-upperline {
  width: 90%;
  height: 1px;
  background-color: var(--mainColour);
  margin-top: 4px;
}

/* --------------- */
/* --- Main Banner Images --- */
/* --------------- */


/* Slideshow container */
.slideshow-container {
  max-width: var(--screenSize);
  position: relative;
  margin: auto;
}

/* Hide the images by default */
.mySlides {
  display: none;
}

/* Next & previous buttons */
.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover,
.next:hover {
  background-color: rgba(0, 0, 0, 0.8);
}



/* The dots/bullets/indicators */
.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.active,
.dot:hover {
  background-color: #717171;
}

/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

@keyframes fade {
  from {
    opacity: .4
  }

  to {
    opacity: 1
  }
}


/* --------------- */
/* Images Slideshow Product 01 */
/* --------------- */



/* Hide the images by default */
.main-products-content {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1em;
  max-width: var(--screenSize);
  margin: auto;
  margin-top: 40px;
}

.product-brand-description {
  flex-basis: 400px;
}

/* Position the image container (needed to position the left and right arrows) */
.p01SlideshowContainer {
  position: relative;
  /* flex-basis: 795px; */
  width: 700px;
}

/* Hide the images by default */
.p01SlideShow {
  position: relative;
  display: none;
  height: 318px;
  overflow: hidden;
  margin-bottom: 10px;
}

.p01SlideShow img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}


.columnP01 img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Add a pointer when hovering over the thumbnail images */
.cursorP01 {
  cursor: pointer;
}

/* Next & previous buttons */
.prevP01,
.nextP01 {
  cursor: pointer;
  position: absolute;
  top: 40%;
  width: auto;
  padding: 16px;
  margin-top: -50px;
  color: white;
  background-color: rgba(0, 0, 0, 0.3);
  font-weight: bold;
  font-size: 20px;
  border-radius: 0 3px 3px 0;
  transition: 0.6s ease;

  user-select: none;
  -webkit-user-select: none;
}

/* Position the "next button" to the right */
.nextP01 {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prevP01:hover,
.nextP01:hover {
  background-color: rgba(0, 0, 0, 0.8);
}


.rowP01:after {
  content: "";
  display: table;
  clear: both;
}

/* Six columns side by side */
.columnP01 {
  float: left;
  width: 16.6%;
  height: 80px;
  overflow: hidden;
  object-fit: cover;
  border: 3px solid white;
}

/* Add a transparency effect for thumnbail images */
.demoP01 {
  opacity: 0.6;
}

.activeP01,
.demoP01:hover {
  opacity: 1;
}

.product-brand-description {
  text-align: center;
}




/* --------------- */
/* Images Slideshow Product 02 */
/* --------------- */


/* Position the image container (needed to position the left and right arrows) */
.p02SlideshowContainer {
  position: relative;
  width: 700px;
}

/* Hide the images by default */
.p02SlideShow {
  position: relative;
  display: none;
  height: 318px;
  overflow: hidden;
  margin-bottom: 10px;
  ;
}

.p02SlideShow img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}


.columnP02 img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Add a pointer when hovering over the thumbnail images */
.cursorP02 {
  cursor: pointer;
}

/* Next & previous buttons */
.prevP02,
.nextP02 {
  cursor: pointer;
  position: absolute;
  top: 40%;
  width: auto;
  padding: 16px;
  margin-top: -50px;
  color: white;
  background-color: rgba(0, 0, 0, 0.3);
  font-weight: bold;
  font-size: 20px;
  border-radius: 0 3px 3px 0;
  user-select: none;
  transition: 0.6s ease;
  -webkit-user-select: none;
}

/* Position the "next button" to the right */
.nextP02 {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prevP02:hover,
.nextP02:hover {
  background-color: rgba(0, 0, 0, 0.8);
}


.rowP02:after {
  content: "";
  display: table;
  clear: both;
}

/* Six columns side by side */
.columnP02 {
  float: left;
  width: 16.6%;
  height: 80px;
  overflow: hidden;
  border: 3px solid white;
}

/* Add a transparency effect for thumnbail images */
.demoP02 {
  opacity: 0.6;
}

.activeP02,
.demoP02:hover {
  opacity: 1;
}


/* ----------------------------
----- Product Highliht -----
----------------------------  */


.product-highlight {
  background-image: url("../images/Colombini-Images/Golf-Living/IMG---79.JPG");
  background-position: center;
  background-size: cover;
  margin-top: 20px;
}

.image-highlight {
  max-width: var(--screenSize);
  margin: auto;
  height: 820px;
}

.text-highlight {
  background-color: var(--mainColour);
  padding: 30px 50px;
  margin: 50px;
  width: 500px;
}

.text-highlight>h1,
.text-highlight>p {
  color: white;
  text-align: center;
}

.text-highlight>h1 {
  margin-bottom: 20px;
}


/* ----------------------------
-------- Our Story --------
----------------------------  */

.ourStory {
  display: flex;
  justify-content: center;
}

.our-story-title {
  flex-grow: 1;
  display: flex;
  justify-content: right;
  align-items: center;
  width: 50%;
  background-color: #595959;
  text-align: right;
  padding: 0px 100px;
}

.our-story-title>h1 {
  color: white;
}

.our-story-text {
  flex-grow: 1;
  width: 50%;
  padding: 30px;
  padding-bottom: 70px;
}

.our-story-text>h1 {
  font-size: 20pt;
  padding: 10px 25px;
}

.our-story-text>p {
  padding: 10px 25px;
  line-height: 2;
  width: 80%;
}


/* ----------------------------
----------- Brands -----------
----------------------------  */

.ourBrands {
  display: flex;
  margin: auto;
  max-width: var(--screenSize);

}

.our-brands-title {
  width: 50%;
  display: flex;
  align-items: center;
}

.our-brands-title>h1 {
  margin-left: 15%;
}

.brands-logos {
  width: 50%;
  display: flex;
  flex-wrap: wrap;
}

.logos {
  width: 33%;
}

.logos>img {
  display: block;
  margin: auto;
}


/* ----------------------------
----------- Footer -----------
----------------------------  */


.footer {
  background-color: var(--mainColour);
  display: flex;
  flex-wrap: wrap;
  padding: 10px 0px;
}

.footer-title {
  background-color: var(--mainColour);
  padding: 10px;
  width: 100%;
  flex-grow: 1;
  align-items: center;
}

.footer-title>h1 {
  text-align: center;
  color: white;
}

.contacts {
  width: 50%;
  background-color: var(--mainColour);
  padding: 10px;
  text-align: right;
  color: white;
  font-family: var(--paragraphs);
  line-height: 2;
}

.contact-title {
  font-weight: bold;
}

.social-medias {
  width: 50%;
  background-color: var(--mainColour);
  padding: 10px;
  text-align: left;
  color: white;
  font-family: var(--paragraphs);
  line-height: 2;
  font-weight: bold;
  font-size: 20px;
}


/* ----------------------------------------- */
/* --- Media Query --- */
/* ----------------------------------------- */

/* --- Tablets --- */
@media all and (max-width: 820px) {
  .menu-div {
    flex-direction: column;
  }

  .nav-list .list-items {
    display: block;
    padding: 10px;
  }

  .nav-list {
    width: 100%;
    background-color: white;
    text-align: center;
    margin: auto;
    display: none;
    z-index: 1;
  }

  .menu-hamburguer {
    display: block;
    position: absolute;
    top: 15px;
    right: 10px;
  }

  .menu-hamburguer:hover {
    cursor: pointer;
  }

  .main-banner{
    padding-top: 15px;
  }
  
  .dots-mainbanner{
    display: none;
  }
  .logo {
    height: 60px;
  }

  .active {
    display: block;

  }

  .nav-bar {
    height: 60px;
    margin-bottom: 10px;
  }

  .product02Title {
    order: 1;
  }

  .logos{
    width: 50%;
  } 
}

/* --- Mobile --- */
@media all and (max-width: 480px) {
  .menu-div {
    flex-direction: column;
  }

  .nav-list .list-items {
    display: block;
    padding: 10px;
  }

  .nav-list {
    width: 100%;
    background-color: white;
    text-align: center;
    margin: auto;
    display: none;
    z-index: 1;
  }

  .menu-hamburguer {
    display: block;
    position: absolute;
    top: 15px;
    right: 10px;
  }

  .menu-hamburguer:hover {
    cursor: pointer;
  }

  .main-banner{
    padding-top: 15px;
  }
  
  .dots-mainbanner{
    display: none;
  }
  .logo {
    height: 60px;
  }

  .active {
    display: block;

  }

  .nav-bar {
    height: 60px;
  }

  .product02Title {
    order: 1;
  }

  .logos{
    width: 50%;
  } 

  :root{
    --screenSize:100vw-10px;
  }
  
  .main-products-content {
    margin-top: 0px;
  }

  .p01SlideshowContainer,.p02SlideshowContainer  {
    position: relative;
    /* flex-basis: 795px; */
    width: 100vw;
  }

  .text-highlight {
    background-color: var(--mainColour);
    padding: 30px 50px;
    margin: 50px;
    width: 80vw;
  }
  
  .image-highlight{
    height: 100%;
  }

  .ourStory {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 0px;
  }

  .our-story-title{
    width: 100%;
    padding: 10%;
    justify-content: center;
    flex-grow: 0;
  }

  .our-story-text{
    width: 100%;
    text-align: center;
    margin: auto;
    flex-grow: 0;
    
  }

  .our-story-text>p {
    line-height: 2;
    width: 80%;
    margin: auto;
  }


  .ourBrands {
    display: flex;
    flex-direction: column;
    margin: auto;
    max-width: var(--screenSize);
  }

  .our-brands-title {
    width: 100%;
  }

  .brands-logos {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }

  .logos {
    width: 50%;
  }

}